# -*- encoding: utf-8 -*-
# stub: inspec 6.6.16 ruby lib

Gem::Specification.new do |s|
  s.name = "inspec".freeze
  s.version = "6.6.16"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chef InSpec Team".freeze]
  s.date = "2024-05-16"
  s.description = "InSpec provides a framework for creating end-to-end infrastructure tests. You can use it for integration or even compliance testing. Create fully portable test profiles and use them in your workflow to ensure stability and security. Integrate InSpec in your change lifecycle for local testing, CI/CD, and deployment verification.\n\nPackaged distributions of Progress\u00AE Chef\u00AE products obtained from RubyGems are made available pursuant to the Progress Chef EULA at https://www.chef.io/end-user-license-agreement, unless there is an executed agreement in effect between you and Progress that covers the Progress Chef products (\"Master Agreement\"), in which case the Master Agreement shall govern.\n\nSource code obtained from the Chef GitHub repository is made available under Apache-2.0, a copy of which is included.\n\n".freeze
  s.email = ["inspec@chef.io".freeze]
  s.files = ["Gemfile".freeze, "inspec.gemspec".freeze, "lib/plugins/inspec-compliance/inspec-compliance.gemspec".freeze, "lib/plugins/inspec-habitat/inspec-habitat.gemspec".freeze, "lib/plugins/inspec-init/inspec-init.gemspec".freeze, "lib/plugins/inspec-init/templates/plugins/inspec-plugin-template/Gemfile".freeze, "lib/plugins/inspec-init/templates/plugins/inspec-plugin-template/inspec-plugin-template.gemspec".freeze, "lib/plugins/inspec-init/templates/profiles/aws/README.md".freeze, "lib/plugins/inspec-init/templates/profiles/aws/controls/example.rb".freeze, "lib/plugins/inspec-init/templates/profiles/aws/inputs.yml".freeze, "lib/plugins/inspec-init/templates/profiles/aws/inspec.yml".freeze, "lib/plugins/inspec-init/templates/profiles/azure/README.md".freeze, "lib/plugins/inspec-init/templates/profiles/azure/controls/example.rb".freeze, "lib/plugins/inspec-init/templates/profiles/azure/inspec.yml".freeze, "lib/plugins/inspec-init/templates/profiles/gcp/README.md".freeze, "lib/plugins/inspec-init/templates/profiles/gcp/controls/example.rb".freeze, "lib/plugins/inspec-init/templates/profiles/gcp/inputs.yml".freeze, "lib/plugins/inspec-init/templates/profiles/gcp/inspec.yml".freeze, "lib/plugins/inspec-license/inspec-license.gemspec".freeze, "lib/plugins/inspec-parallel/inspec-parallel.gemspec".freeze, "lib/plugins/inspec-plugin-manager-cli/inspec-plugin-manager-cli.gemspec".freeze, "lib/plugins/inspec-reporter-html2/inspec-reporter-html2.gemspec".freeze, "lib/plugins/inspec-reporter-json-min/inspec-reporter-json-min.gemspec".freeze, "lib/plugins/inspec-reporter-junit/inspec-reporter-junit.gemspec".freeze, "lib/plugins/inspec-sign/inspec-sign.gemspec".freeze, "lib/plugins/inspec-streaming-reporter-progress-bar/inspec-streaming-reporter-progress-bar.gemspec".freeze]
  s.homepage = "https://github.com/inspec/inspec".freeze
  s.licenses = ["LicenseRef-Chef-EULA".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 3.0.3".freeze)
  s.rubygems_version = "3.3.26".freeze
  s.summary = "Infrastructure and compliance testing.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<inspec-core>.freeze, ["= 6.6.16"])
    s.add_runtime_dependency(%q<train>.freeze, ["~> 3.10"])
    s.add_runtime_dependency(%q<cookstyle>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rake>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<progress_bar>.freeze, ["~> 1.3.3"])
    s.add_runtime_dependency(%q<faraday_middleware>.freeze, ["< 2"])
    s.add_runtime_dependency(%q<train-habitat>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<train-aws>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<train-winrm>.freeze, ["~> 0.2"])
    s.add_runtime_dependency(%q<train-kubernetes>.freeze, ["~> 0.1"])
    s.add_runtime_dependency(%q<mongo>.freeze, ["< 3"])
  else
    s.add_dependency(%q<inspec-core>.freeze, ["= 6.6.16"])
    s.add_dependency(%q<train>.freeze, ["~> 3.10"])
    s.add_dependency(%q<cookstyle>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<progress_bar>.freeze, ["~> 1.3.3"])
    s.add_dependency(%q<faraday_middleware>.freeze, ["< 2"])
    s.add_dependency(%q<train-habitat>.freeze, ["~> 0.1"])
    s.add_dependency(%q<train-aws>.freeze, ["~> 0.2"])
    s.add_dependency(%q<train-winrm>.freeze, ["~> 0.2"])
    s.add_dependency(%q<train-kubernetes>.freeze, ["~> 0.1"])
    s.add_dependency(%q<mongo>.freeze, ["< 3"])
  end
end
